#ifndef LIP_OPCUA_SERVER_TREE_STD_VARTYPES_H
#define LIP_OPCUA_SERVER_TREE_STD_VARTYPES_H

struct st_lip_opcua_tree_item;
struct st_lip_opcua_tree_item_descr_vartype;

extern const struct st_lip_opcua_tree_item_descr_vartype g_lip_opcua_tree_vartype_descr_abstarct_any;
extern const struct st_lip_opcua_tree_item_descr_vartype g_lip_opcua_tree_vartype_descr_abstarct_arr_anydim;
extern const struct st_lip_opcua_tree_item_descr_vartype g_lip_opcua_tree_vartype_descr_concrete_any;
extern const struct st_lip_opcua_tree_item_descr_vartype g_lip_opcua_tree_vartype_descr_concrete_arr;
extern const struct st_lip_opcua_tree_item_descr_vartype g_lip_opcua_tree_vartype_descr_concrete_arr_anydim;
extern const struct st_lip_opcua_tree_item_descr_vartype g_lip_opcua_tree_vartype_descr_concrete_arr_2dim;
extern const struct st_lip_opcua_tree_item_descr_vartype g_lip_opcua_tree_vartype_descr_concrete_arr_3dim;
extern const struct st_lip_opcua_tree_item_descr_vartype g_lip_opcua_tree_vartype_descr_number_any;
extern const struct st_lip_opcua_tree_item_descr_vartype g_lip_opcua_tree_vartype_descr_bool_any;
extern const struct st_lip_opcua_tree_item_descr_vartype g_lip_opcua_tree_vartype_descr_uinteger_any;

extern const struct st_lip_opcua_tree_item_descr_vartype g_lip_opcua_tree_vartype_descr_xv_arr;

extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_base;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_property;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_base_data_variable;

#endif
